#include <stdio.h>

int exponencial(int base, int expoente);

int main()
{
    int b, e, resultado;
    printf("Digite o valor da base: ");
    scanf("%d",&b);
    printf("Digite o valor do expoente: ");
    do{
            scanf("%d",&e);
            if(e<0)
                printf("O valor deve ser maior ou igual que 0. Digite Novamente: ");
    }while(e<0);
    resultado=exponencial(b,e);
    printf("\nO valor de %d elevado a %d e %d",b, e, resultado);
    return 0;
}

int exponencial(int base, int expoente)
{
    int resp=1;
    if(expoente>=1)
       return base * exponencial(base,expoente-1);
    else
        if(expoente == 0)
           return 1;
        else
           return base;
}
